package com.usky.system.service;



import com.usky.common.mybatis.core.CrudService;
import com.usky.system.domain.SysMenu;
import com.usky.system.domain.SysTenantConfig;
import com.usky.system.service.vo.SysTenantConfigVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * <p>
 * 租户配置表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-05-06
 */
public interface SysTenantConfigService extends CrudService<SysTenantConfig> {
    List<SysTenantConfigVo> getTenantConfig(String url);

    List<SysTenantConfig> getMiddleConfig();

    List<SysTenantConfig> getMiddleConfigList(Integer tenantId);

    void addMiddleConfig(SysTenantConfig sysTenantConfig);

    void updaMiddleConfig(SysTenantConfig sysTenantConfig);

    List<SysMenu> getMenuBoxList(Integer tenantId);

    String pictureUpload(MultipartFile file, HttpServletRequest request);
}
